import request from "@/api/request.js";

// 规则限制-首页统计接口
export function getStatCount() {
  return request({
    method: 'GET',
    url: `/api/ruleLimitInfo/statCount`
  })
}

// 规则限制-查询最新动态接口
export function getLatestUpdates() {
  return request({
    method: 'GET',
    url: `/api/ruleLimitInfo/getLatestUpdates`
  })
}

// 规则限制-风险信号
export function getRiskSignal(params) {
  return request({
    method: 'GET',
    url: `/api/commonFeature/riskSignal/${params}`
  })
}

// 规则限制-查询新闻资讯
export function getNews(params) {
  return request({
    method: 'GET',
    url: `/api/commonFeature/news/${params}`
  })
}

// 规则限制-查询社交媒体
export function getRemarks(params) {
  return request({
    method: 'GET',
    url: `/api/commonFeature/remarks/${params}`
  })
}

// 规则限制-限制领域分布情况
/**
 * @param {Object} params
 * @param {string} params.year
 * @header token
 */
export function getAreaDistribution(params) {
  return request({
    method: 'GET',
    url: `/api/ruleLimitInfo/getAreaDistribution`,
    params
  })
}

// 规则限制-受限实体数量变化趋势
/**
 * @param {Object} params
 * @param {Integer} params.year
 * @param {String} params.type
 * @header token
 */
export function getEntityChangeTrend(params) {
  return request({
    method: 'GET',
    url: `/api/ruleLimitInfo/getEntityChangeTrend`,
    params
  })
}

// 规则限制-规则限制政令列表查询接口
/**
 * @param {Object} params
 * @param {Integer} params.currentPage
 * @param {Integer} params.pageSize
 * @param {List<String>} params.years
 * @param {List<String>} params.areas
 * @param {String} params.keywords
 * @param {String} params.sortField
 * @param {String} params.sortOrder
 * @header token
 */
export function getRuleLimitList(params) {
  return request({
    method: 'GET',
    url: `/api/ruleLimitInfo/getRuleLimitList`,
    params
  })
}

// 规则限制-排华科技联盟列表接口
/**
 * @param {Object} params
 * @param {Integer} params.currentPage
 * @param {Integer} params.pageSize
 * @param {List<String>} params.years
 * @param {List<String>} params.countries
 * @param {List<String>} params.areas
 * @param {String} params.keywords
 * @param {String} params.sortField
 * @param {String} params.sortOrder
 * @header token
 */
export function getACTAList(params) {
  return request({
    method: 'GET',
    url: `/api/ruleLimitInfo/getACTAList`,
    params
  })
}

export function getAcTAAllcountry() {
  return request({
    method: 'GET',
    url: `/api/ruleLimitInfo/getACTAAllCountry/`
  })
}


// 规则限制-规则限制基本详情
export function getSanctionOverview(params) {
  return request({
    method: 'GET',
    url: `/api/ruleLimitInfo/getSanctionOverview/${params}`
  })
}

// 规则限制-背景分析
export function getBackGround(params) {
  return request({
    method: 'GET',
    url: `/api/ruleLimitInfo/getBackGround/${params}`
  })
}

// 规则限制-限制条款
export function getLimitClause(params) {
  return request({
    method: 'GET',
    url: `/api/ruleLimitInfo/getLimitClause/${params}`
  })
}

// 规则限制-相关举措
export function getRelevantMeasures(params) {
  return request({
    method: 'GET',
    url: `/api/ruleLimitInfo/getRelevantMeasures/${params}`
  })
}



// // 实体清单-制裁概况-获取发布机构机构动态
// /**
//  * @param {Object} data
//  * @param {string} data.orgId
//  * @header token
//  */
// export function getPublishOrgInfo(data) {
//   return request({
//     method: 'POST',
//     url: `/api/organization/relate/news`,
//     data,
//   })
// }